/*!
 * React Native Globalize
 *
 * Copyright 2015-2020 Josh Swan
 * Released under the MIT license
 * https://github.com/joshswan/react-native-globalize/blob/master/LICENSE
 */
export function formatUnit(config, getUnitFormatter, value, unit, options) {
    try {
        return getUnitFormatter(unit, options)(value);
    }
    catch (e) {
        config.onError('Error formatting unit. Unit must be a string and value must be a number.', e);
    }
    return `${String(value)} ${String(unit)}`;
}
