/*!
 * React Native Globalize
 *
 * Copyright 2015-2020 Josh Swan
 * Released under the MIT license
 * https://github.com/joshswan/react-native-globalize/blob/master/LICENSE
 */
import { logError } from './utils';
import { Globalize, GlobalizeConfig } from './types';
declare const configDefaults: {
    currencyCode: string;
    fallback: boolean;
    onError: typeof logError;
};
declare type Config = Omit<GlobalizeConfig, keyof typeof configDefaults> & Partial<GlobalizeConfig>;
export declare function createGlobalize(config: Config): Globalize;
export * from './loaders';
export * from './types';
export * from './utils';
